Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Class NativeInterfaceAdapter

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.NativeInterfaceAdapter

All Implemented Interfaces:
  NativeInterfaceListener, EventListener

    public abstract class NativeInterfaceAdapter

extends Object
implements NativeInterfaceListener

An abstract adapter class for receiving native interface events.

Author:
  Christopher Deckers

Constructor Summary
`NativeInterfaceAdapter()`

Method Summary
`void` | `nativeInterfaceClosed()` Invoked when the native interface is closed, which can happen because of a user action or if the interface gets closed because of an error.
`void` | `nativeInterfaceInitialized()` Invoked when the native interface is initialized, which can happen only once.
`void` | `nativeInterfaceOpened()` Invoked when the native interface is opened, which can happen because of a user action or when the framework automatically re-opens the interface after an error closed it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeInterfaceAdapter

    public NativeInterfaceAdapter()

Method Detail

### nativeInterfaceClosed

    public void nativeInterfaceClosed()

  Description copied from interface: `NativeInterfaceListener`
  Invoked when the native interface is closed, which can happen because of a user action or if the interface gets closed because of an error. Note that an error usually means that the user killed the process or that one of the native components crashed the process, which should be a rare condition. This event is not necessarily received in the UI thread.

  Specified by:
    `nativeInterfaceClosed` in interface `NativeInterfaceListener`

### nativeInterfaceInitialized

    public void nativeInterfaceInitialized()

  Description copied from interface: `NativeInterfaceListener`
  Invoked when the native interface is initialized, which can happen only once. This event is not necessarily received in the UI thread.

  Specified by:
    `nativeInterfaceInitialized` in interface `NativeInterfaceListener`

### nativeInterfaceOpened

    public void nativeInterfaceOpened()

  Description copied from interface: `NativeInterfaceListener`
  Invoked when the native interface is opened, which can happen because of a user action or when the framework automatically re-opens the interface after an error closed it. This event is not necessarily received in the UI thread.

  Specified by:
    `nativeInterfaceOpened` in interface `NativeInterfaceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD